//
//  DateCalcViewController.m
//  DateCalc
//
//  Created by John Ray on 6/21/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#import "DateCalcViewController.h"

@implementation DateCalcViewController

@synthesize differenceResult;

-(IBAction)showDate:(id)sender {
	NSDate *todaysDate;
	NSString *differenceOutput;
	NSString *todaysDateString;
	NSDateFormatter *dateFormat;
	NSTimeInterval difference;
    
	
	todaysDate=[[NSDate alloc] init];
	difference = [todaysDate timeIntervalSinceDate:[sender date]] / 86400; 
	
	dateFormat = [[NSDateFormatter alloc] init];
	[dateFormat setDateFormat:@"MMMM d, yyyy hh:mm:ssa"];
	todaysDateString = [dateFormat stringFromDate:todaysDate];
    
	differenceOutput=[[NSString alloc] initWithFormat:
					  @"Difference between chosen date and today (%@) in days: %1.2f",
					  todaysDateString,fabs(difference)];
	differenceResult.text=differenceOutput;
    
	[todaysDate release];
	[dateFormat release];
	[differenceOutput release];
}




/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[differenceResult release];
    [super dealloc];
}

@end
