//
//  MultipleViewsViewController.h
//  MultipleViews
//
//  Created by John Ray on 9/19/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

@class FirstViewController;
@class SecondViewController;
@class ThirdViewController;

@interface MultipleViewsViewController : UIViewController {
	IBOutlet FirstViewController *firstViewController;
	IBOutlet SecondViewController *secondViewController;
	IBOutlet ThirdViewController *thirdViewController;
}

@property (retain, nonatomic) FirstViewController *firstViewController;
@property (retain, nonatomic) SecondViewController *secondViewController;
@property (retain, nonatomic) ThirdViewController *thirdViewController;

-(IBAction) loadSecondView:(id)sender;
-(IBAction) loadThirdView:(id)sender;
-(IBAction) loadFirstView:(id)sender;

-(void) clearView;

@end

