//
//  AreaViewController.h
//  TabbedConversion
//
//  Created by John Ray on 5/15/09.
//  Copyright Poisontooth Enterprises 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SummaryViewController.h"

@interface AreaViewController : UIViewController {
	IBOutlet UITextField *rectWidth;
	IBOutlet UITextField *rectLength;
	IBOutlet UITextField *circleRadius;
	IBOutlet UILabel *rectResult;
	IBOutlet UILabel *circleResult;
	IBOutlet SummaryViewController *summaryViewController;
}

@property (retain, nonatomic) UITextField *rectWidth;
@property (retain, nonatomic) UITextField *rectLength;
@property (retain, nonatomic) UITextField *circleRadius;
@property (retain, nonatomic) UILabel *rectResult;
@property (retain, nonatomic) UILabel *circleResult;

-(IBAction)calculate:(id)sender;
-(IBAction)hideKeyboard:(id)sender;

@end
