//
//  SecondViewController.h
//  TabbedConversion
//
//  Created by John Ray on 5/15/09.
//  Copyright 2009 Poisontooth Enterprises. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SummaryViewController.h"

@interface VolumeViewController : UIViewController {
	IBOutlet UITextField *boxWidth;
	IBOutlet UITextField *boxHeight;
	IBOutlet UITextField *boxLength;
	IBOutlet UITextField *sphereRadius;
	IBOutlet UILabel *boxResult;
	IBOutlet UILabel *sphereResult;
	IBOutlet SummaryViewController *summaryViewController;
}

@property (retain, nonatomic) UITextField *boxWidth;
@property (retain, nonatomic) UITextField *boxHeight;
@property (retain, nonatomic) UITextField *boxLength;
@property (retain, nonatomic) UITextField *sphereRadius;
@property (retain, nonatomic) UILabel *boxResult;
@property (retain, nonatomic) UILabel *sphereResult;

-(IBAction)calculate:(id)sender;
-(IBAction)hideKeyboard:(id)sender;

@end
