//
//  SecondViewController.m
//  TabbedConversion
//
//  Created by John Ray on 5/15/09.
//  Copyright 2009 Poisontooth Enterprises. All rights reserved.
//

#import "VolumeViewController.h"

#define Pi 3.1415926

@implementation VolumeViewController

@synthesize boxWidth;
@synthesize boxHeight;
@synthesize boxLength;
@synthesize sphereRadius;
@synthesize boxResult;
@synthesize sphereResult;

-(IBAction)calculate:(id)sender {
	float floatBoxResult=[boxWidth.text floatValue]*
						[boxLength.text floatValue]*[boxHeight.text floatValue];
	float floatSphereResult=(4/3)*Pi*[sphereRadius.text floatValue]*
						[sphereRadius.text floatValue]*[sphereRadius.text floatValue];
	NSString *stringBoxResult=[[NSString alloc]
							   initWithFormat:@"%1.2f",floatBoxResult];
	NSString *stringSphereResult=[[NSString alloc]
								  initWithFormat:@"%1.2f",floatSphereResult];
	boxResult.text=stringBoxResult;
	sphereResult.text=stringSphereResult;
	[stringBoxResult release];
	[stringSphereResult release];
	
	[summaryViewController updateTotal];
}


-(IBAction)hideKeyboard:(id)sender {
	[boxWidth resignFirstResponder];
	[boxLength resignFirstResponder];
	[boxHeight resignFirstResponder];
	[sphereRadius resignFirstResponder];
}


/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[boxWidth release];
	[boxHeight release];
	[boxLength release];
	[sphereRadius release];
	[boxResult release];
	[sphereResult release];
    [super dealloc];
}


@end
