//
//  FlashlightViewController.h
//  Flashlight
//
//  Created by Sean Johnson on 5/20/09.
//  Copyright Snooty Monkey, LLC 2009. All rights reserved.
//

#define kOnOffToggle @"onOff"
#define kBrightnessLevel @"brightness"

#import <UIKit/UIKit.h>

@interface FlashlightViewController : UIViewController {
	
	IBOutlet UIView *lightSource;
	IBOutlet UISwitch *toggleSwitch;
	IBOutlet UISlider *brightnessSlider;
	
}

@property (nonatomic, retain) UIView *lightSource;
@property (nonatomic, retain) UISwitch *toggleSwitch;
@property (nonatomic, retain) UISlider *brightnessSlider;

-(IBAction) setLightSourceAlphaValue;

@end