//
//  GettingAttentionViewController.h
//  GettingAttention
//
//  Created by John Ray on 7/10/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AudioToolbox/AudioToolbox.h>

@interface GettingAttentionViewController : 
UIViewController <UIAlertViewDelegate, UIActionSheetDelegate> {
    IBOutlet UILabel *userOutput;
    UITextField *userInput;
}

@property (retain, nonatomic) IBOutlet UILabel *userOutput;
@property (retain, nonatomic) UITextField *userInput;

- (IBAction)doAlert:(id)sender;
- (IBAction)doMultiButtonAlert:(id)sender;
- (IBAction)doAlertInput:(id)sender;
- (IBAction)doActionSheet:(id)sender;
- (IBAction)doSound:(id)sender;
- (IBAction)doAlertSound:(id)sender;
- (IBAction)doVibration:(id)sender;

@end
