//
//  DebugPracticeViewController.m
//  DebugPractice
//
//  Created by John Ray on 6/21/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#import "DebugPracticeViewController.h"

@implementation DebugPracticeViewController

@synthesize loopButton;

-(NSString *)describeInteger:(int)i {
    
    if (i % 2 == 0) {
        return @"even";          
    } else {
        return @"odd";
    }
    
}

- (IBAction)loop {
    
    NSString *description;
    
    for (int i = 1;i <= 2000;i++) {
        description = [self describeInteger:i];
        NSLog(@"Variables: i - %i and description - %@", i, description);
    }
    
    [loopButton setTitleColor:[UIColor redColor] forState:UIControlStateNormal];
}


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
    
    NSString *description;
    
    NSLog(@"Start");
    for (int i = 1;i <= 2000;i++) {
        description = [self describeInteger:i];
        
        // Don't try this at home!
        NSString *status = [[NSString alloc]initWithUTF8String:"leaking"]; 
        
        NSLog(@"Variables: i - %i and description - %@ and status - %@",
              i, description, status);
    }
    NSLog(@"Done");
}




/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [loopButton release];
    [super dealloc];
}

@end
