//
//  CreateCardViewController.m
//  FlashCards
//
//  Created by Sean Johnson on 6/16/09.
//  Copyright 2009 Snooty Monkey, LLC. All rights reserved.
//

#import "CreateCardViewController.h"


@implementation CreateCardViewController

@synthesize cardDelegate;
@synthesize question;
@synthesize answer;

-(IBAction) save {
    [self.cardDelegate  didCreateCardWithQuestion: question.text
     answer: answer.text];
}

-(IBAction) cancel {
    [self.cardDelegate didCancelCardCreation];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}

- (void)dealloc {
    [question release];
    [answer release];
    [super dealloc];
}

@end