//
//  ColorTiltViewController.h
//  ColorTilt
//
//  Created by John Ray on 7/14/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreMotion/CoreMotion.h>

@interface ColorTiltViewController : UIViewController {
    IBOutlet UISwitch *toggleAccelerometer;
    IBOutlet UISwitch *toggleGyroscope;
    IBOutlet UIView *colorView;
    CMMotionManager *motionManager;
}

-(IBAction)controlHardware:(id)sender;

@property (nonatomic, retain) CMMotionManager *motionManager;
@property (nonatomic, retain) UISwitch *toggleAccelerometer;
@property (nonatomic, retain) UISwitch *toggleGyroscope;
@property (nonatomic, retain) UIView *colorView;

@end

