//
//  CupertinoViewController.h
//  Cupertino
//
//  Created by John E. Ray on 7/17/10.
//  Copyright John E. Ray 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

@interface CupertinoViewController : UIViewController
<CLLocationManagerDelegate> {
	
	CLLocationManager *locMan;
	CLLocation *recentLocation;
	IBOutlet UILabel *distanceLabel;
	IBOutlet UIView  *distanceView;
	IBOutlet UIView  *waitView;
	IBOutlet UIImageView *directionArrow;
	
}

@property (assign, nonatomic) CLLocationManager *locMan;
@property (retain, nonatomic) CLLocation *recentLocation;
@property (retain, nonatomic) UILabel *distanceLabel;
@property (retain, nonatomic) UIView *distanceView;
@property (retain, nonatomic) UIView *waitView;
@property (retain, nonatomic) UIView *directionArrow;

-(double)headingToLocation:(CLLocationCoordinate2D)desired
                   current:(CLLocationCoordinate2D)current;

@end


